GNU bug report logs - #10359
libtool changing basename(argv[0])

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Lucas De Marchi <lucas.demarchi@HIDDEN>; merged with #10358; dated Sat, 24 Dec 2011 15:55:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 10359 <at> debbugs.gnu.org:


Received: (at 10359) by debbugs.gnu.org; 17 Apr 2013 03:12:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 23:12:50 2013
Received: from localhost ([127.0.0.1]:55687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1USInh-0004XF-GM
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 23:12:50 -0400
Received: from mail-ve0-f182.google.com ([209.85.128.182]:42500)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1USInc-0004Wl-MJ
	for 10359 <at> debbugs.gnu.org; Tue, 16 Apr 2013 23:12:45 -0400
Received: by mail-ve0-f182.google.com with SMTP id da11so1061713veb.27
	for <10359 <at> debbugs.gnu.org>; Tue, 16 Apr 2013 20:08:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:from:date:message-id:subject:to
	:content-type:x-gm-message-state;
	bh=R5fiRToV0duB4wVrSh06NlTvOlgCzPxN2YGoXmW6xfE=;
	b=mqucykuo+aS+YdR03atPzuK/g191+nEBwucPLbIaVo71JAP+TVa0hNoNPg2PU6buea
	wx0Pdkhbo2m++105MtnDMXFLFZ7FmJQcBlgH6NtQpAa6gC/HaVqpJtsb/GNz+cOxgeFM
	59thRC/Bgww5BUhYYc3RGcs/yAy8XMeVZ53ym2a8ww3YI7/4k8+mupxg+L7CDjoWd6Me
	jwSI0SmentCFscW8rXbr7nJTWnSxMe/wNEqKKS5EyxOcBlW+Tx47PxddI2iWWFKatvF7
	6VmTZamCDJ8GBc6/TITKucW+nwPt0JcL1Y5KqbL2EmxKE6CPaxmKgQykq19DcbSnPUpW
	71Hw==
X-Received: by 10.52.179.105 with SMTP id df9mr3069439vdc.49.1366168103817;
	Tue, 16 Apr 2013 20:08:23 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.220.46.9 with HTTP; Tue, 16 Apr 2013 20:08:03 -0700 (PDT)
From: Lucas De Marchi <lucas.demarchi@HIDDEN>
Date: Wed, 17 Apr 2013 00:08:03 -0300
Message-ID: <CAMOw1v4CnFr8=xUGQUBpssv0=+r1uyNVYEo2GRJixb85AmU-4A@HIDDEN>
Subject: Ping
To: 10359 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Gm-Message-State: ALoCoQmIfvjXkgpRTWD2bnMnMUWG0AgrHauab6Xm8RM3ir43G4xxheV9uSJq4ANItRIjhFBiMKuN
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 10359
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

There wasn't any update on this... It's still buggy.

Could anyone point to the right direction?

Lucas De Marchi




Information forwarded to bug-libtool@HIDDEN:
bug#10359; Package libtool. Full text available.
Merged 10358 10359. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2011 15:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvJ-0004aJ-IA
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:13 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwXI-0004Rd-PM
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 23:15:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwV8-00049P-30
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 23:12:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:33855)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwV8-00049L-1e
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 23:12:58 -0500
Received: from eggs.gnu.org ([140.186.70.92]:57265)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwV7-0006ip-0G
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 23:12:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwV6-00048z-2C
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 23:12:56 -0500
Received: from mail-vx0-f169.google.com ([209.85.220.169]:54819)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwV5-00048r-Up
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 23:12:56 -0500
Received: by vcge1 with SMTP id e1so7400366vcg.0
	for <bug-libtool@HIDDEN>; Thu, 22 Dec 2011 20:12:55 -0800 (PST)
Received: by 10.220.156.81 with SMTP id v17mr1149940vcw.68.1324613575230; Thu,
	22 Dec 2011 20:12:55 -0800 (PST)
MIME-Version: 1.0
Received: by 10.52.117.45 with HTTP; Thu, 22 Dec 2011 20:12:34 -0800 (PST)
In-Reply-To: <CAMOw1v5OVtcNx7hR=93Fz5O5Ru3ZuFyun7oTpoQVjOtg5pa9fg@HIDDEN>
References: <CAMOw1v5OVtcNx7hR=93Fz5O5Ru3ZuFyun7oTpoQVjOtg5pa9fg@HIDDEN>
From: Lucas De Marchi <lucas.demarchi@HIDDEN>
Date: Fri, 23 Dec 2011 02:12:34 -0200
Message-ID: <CAMOw1v7+n-82mk-WH-G+WpiSbsPf3EwYfPQBcrBzNQj9UrQXkw@HIDDEN>
Subject: Re: libtool changing basename(argv[0])
To: bug-libtool@HIDDEN
Content-Type: multipart/mixed; boundary=f46d043d66cf9dc2c804b4baa1ce
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

--f46d043d66cf9dc2c804b4baa1ce
Content-Type: text/plain; charset=ISO-8859-1

On Fri, Dec 23, 2011 at 1:51 AM, Lucas De Marchi
<lucas.demarchi@HIDDEN> wrote:
> Hey all,
>
> In one of my projects I rely on basename(argv[0]) to know what to do
> in the application (because it can be called from compat symlinks).
> With libtool 2.4.2 I'm having an issue that basename(argv[0]) returns
> lt-progname instead of just progname. Another developer has libtool
> 2.4 and does not have this problem.
>
> Is this a regression from 2.4? Googling shows me some similar problem
> but with older versions (~ 2009)

Checking the source code.... the following change fixes the problem
for me, but I'm not sure if it's the right fix.

thanks
Lucas De Marchi

--f46d043d66cf9dc2c804b4baa1ce
Content-Type: text/x-patch; charset=US-ASCII; 
	name="0001-Do-not-change-argv-0-to-lt-progname.patch"
Content-Disposition: attachment; 
	filename="0001-Do-not-change-argv-0-to-lt-progname.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gwiorj7s0

RnJvbSAxNDEzMzM4MTU3ZTNjY2ExNTI5YjliZWYyY2YwMjNhNWMwZDA5NDRiIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBMdWNhcyBEZSBNYXJjaGkgPGx1Y2FzLmRlbWFyY2hpQHByb2Z1
c2lvbi5tb2JpPgpEYXRlOiBGcmksIDIzIERlYyAyMDExIDAyOjEzOjMwIC0wMjAwClN1YmplY3Q6
IFtQQVRDSF0gRG8gbm90IGNoYW5nZSBhcmd2WzBdIHRvIGx0LXByb2duYW1lCgpTaWduZWQtb2Zm
LWJ5OiBMdWNhcyBEZSBNYXJjaGkgPGx1Y2FzLmRlbWFyY2hpQHByb2Z1c2lvbi5tb2JpPgotLS0K
IGJ1aWxkLWF1eC9sdG1haW4ubTRzaCB8ICAgIDIgKy0KIDEgZmlsZXMgY2hhbmdlZCwgMSBpbnNl
cnRpb25zKCspLCAxIGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBhL2J1aWxkLWF1eC9sdG1haW4u
bTRzaCBiL2J1aWxkLWF1eC9sdG1haW4ubTRzaAppbmRleCA5MjJlOTU3Li5mMTExMjViIDEwMDY0
NAotLS0gYS9idWlsZC1hdXgvbHRtYWluLm00c2gKKysrIGIvYnVpbGQtYXV4L2x0bWFpbi5tNHNo
CkBAIC0zMjgxLDcgKzMyODEsNyBAQCBmdW5jX2V4ZWNfcHJvZ3JhbSAoKQogCiAJaWYgdGVzdCB5
ZXMgPSAiJGZhc3RfaW5zdGFsbCI7IHRoZW4KIAkgICRFQ0hPICJcCi0gIHByb2dyYW09bHQtJyRv
dXRwdXRuYW1lJyRleGVleHQKKyAgcHJvZ3JhbT0nJG91dHB1dG5hbWUnJGV4ZWV4dAogICBwcm9n
ZGlyPVwiXCR0aGlzZGlyLyRvYmpkaXJcIgogCiAgIGlmIHRlc3QgISAtZiBcIlwkcHJvZ2Rpci9c
JHByb2dyYW1cIiB8fAotLSAKMS43LjgKCg==
--f46d043d66cf9dc2c804b4baa1ce--




Acknowledgement sent to Lucas De Marchi <lucas.demarchi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#10359; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.